<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="pregunta">
        <h2 class="jh-entity-heading" data-cy="preguntaDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesPregunta.detail.title')">Pregunta</span> {{ pregunta.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesPregunta.pregunta')">Pregunta</span>
          </dt>
          <dd>
            <span>{{ pregunta.pregunta }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesPregunta.condicion')">Condicion</span>
          </dt>
          <dd>
            <div v-if="pregunta.condicion">
              <router-link :to="{ name: 'CondicionView', params: { condicionId: pregunta.condicion.id } }">{{
                pregunta.condicion.condicion
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="pregunta.id" :to="{ name: 'PreguntaEdit', params: { preguntaId: pregunta.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./pregunta-details.component.ts"></script>
